## sdl-kitchensink 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(SDL_kitchensink C)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

set(KIT_VERSION_MAJOR "0")
set(KIT_VERSION_MINOR "0")
set(KIT_VERSION_PATCH "7")
set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
add_definitions(
    -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
    -DKIT_VERSION_MINOR=${KIT_VERSION_MINOR}
    -DKIT_VERSION_PATCH=${KIT_VERSION_PATCH}
)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ggdb -pedantic -Werror -fno-omit-frame-pointer")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -ggdb -O2 -fno-omit-frame-pointer -DNDEBUG")
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2 -DNDEBUG")
set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -Os -DNDEBUG")

option(BUILD_EXAMPLES "Build examples" OFF)
option(BUILD_TESTS "Build unittests" OFF)

find_package(SDL2)
find_package(ass)
find_package(ffmpeg COMPONENTS avcodec avformat avutil swscale swresample)

if(BUILD_TESTS)
    add_subdirectory(tests)
endif()

include_directories(
    include/
    ${SDL2_INCLUDE_DIRS}
    ${FFMPEG_INCLUDE_DIRS}
    ${ASS_INCLUDE_DIRS}
)

FILE(GLOB SOURCES "src/*.c")
FILE(GLOB HEADERS "include/kitchensink/*.h")

add_library(SDL_kitchensink SHARED ${SOURCES})
add_library(SDL_kitchensink_static STATIC ${SOURCES})

set_target_properties(SDL_kitchensink PROPERTIES VERSION ${KIT_VERSION})
set_target_properties(SDL_kitchensink PROPERTIES SOVERSION ${KIT_VERSION_MAJOR})
set_target_properties(SDL_kitchensink PROPERTIES DEBUG_POSTFIX "d")
set_target_properties(SDL_kitchensink_static PROPERTIES DEBUG_POSTFIX "d")
target_compile_definitions(SDL_kitchensink PRIVATE "KIT_DLL;KIT_DLL_EXPORTS")
target_compile_options(SDL_kitchensink PRIVATE "-fvisibility=hidden")

target_link_libraries(SDL_kitchensink
    ${SDL2_LIBRARIES}
    ${FFMPEG_LIBRARIES}
    ${ASS_LIBRARIES}
)

if(BUILD_EXAMPLES)
    add_executable(exampleaudio examples/example_audio.c)
    add_executable(examplevideo examples/example_video.c)

    if(MINGW)
        target_link_libraries(exampleaudio mingw32)
        target_link_libraries(examplevideo mingw32)
    endif()

    target_link_libraries(exampleaudio
        SDL_kitchensink_static
        ${SDL2_LIBRARIES}
        ${FFMPEG_LIBRARIES}
        ${ASS_LIBRARIES}
    )
    target_link_libraries(examplevideo
        SDL_kitchensink_static
        ${SDL2_LIBRARIES}
        ${FFMPEG_LIBRARIES}
        ${ASS_LIBRARIES}
    )
endif()

# Installation
include(GNUInstallDirs)

INSTALL(FILES ${HEADERS} DESTINATION include/kitchensink/)
INSTALL(TARGETS SDL_kitchensink SDL_kitchensink_static
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== tests/CMakeLists.txt ===
find_package(CUnit)

add_executable(test_lib
    test_lib.c
    test_source.c
)

include_directories(${CUNIT_INCLUDE_DIR} . ../include/)
if(MINGW)
    target_link_libraries(test_lib mingw32)
endif()
target_link_libraries(test_lib
    SDL_kitchensink_static
    ${CUNIT_LIBRARIES}
    ${SDL2_LIBRARIES}
    ${FFMPEG_LIBRARIES}
)
add_custom_target(unittest test_lib)

=== debian/changelog ===
sdl-kitchensink (0.0.7-3) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:55:30 +0100

sdl-kitchensink (0.0.7-2) unstable; urgency=medium

  * Indent lists in extended descriptions
  * Put libsdl-kitchensink0 in section libs
  * Mark libsdl-kitchensink{0,-dev} Multi-Arch: same
  * Add uversionmangle to remove -alpha from upstream tags
  * Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Oct 2017 10:32:38 +0200

sdl-kitchensink (0.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #878673)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Oct 2017 14:01:07 +0200

=== debian/control ===
Source: sdl-kitchensink
Maintainer: Didier Raboud <odyx@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               cmake,
               libsdl2-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavresample-dev,
               libavutil-dev,
               libswresample-dev,
               libswscale-dev,
               libpostproc-dev,
               libass-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
Homepage: https://github.com/katajakasa/SDL_kitchensink

Package: libsdl-kitchensink0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FFmpeg and SDL2 based library for audio and video playback
 It provides FFmpeg-based audio and video playback for SDL which features:
  - Decoding video & audio via FFmpeg
  - Dumping video data on SDL_textures
  - Dumping audio data in the usual mono/stereo interleaved formats
  - Automatic audio and video conversion to SDL2 friendly formats
  - Synchronizing video & audio to clock
  - Seeking forwards and backwards
  - Bitmap & libass subtitle support
 .
 This package contains the shared library.

Package: libsdl-kitchensink-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsdl-kitchensink0 (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg and SDL2 based library for audio and video playback - Development files
 It provides FFmpeg-based audio and video playback for SDL which features:
  - Decoding video & audio via FFmpeg
  - Dumping video data on SDL_textures
  - Dumping audio data in the usual mono/stereo interleaved formats
  - Automatic audio and video conversion to SDL2 friendly formats
  - Synchronizing video & audio to clock
  - Seeking forwards and backwards
  - Bitmap & libass subtitle support
 .
 This package contains the development files.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?alpha$/$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sdl-kitchensink-$1\.tar\.gz/ \
  https://github.com/katajakasa/SDL_kitchensink/tags .*/v?(\d\S+)\.tar\.gz

## sdl-kitchensink 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(SDL_kitchensink C)
include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

set(KIT_VERSION_MAJOR "1")
set(KIT_VERSION_MINOR "0")
set(KIT_VERSION_PATCH "5")
set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
add_definitions(
    -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
    -DKIT_VERSION_MINOR=${KIT_VERSION_MINOR}
    -DKIT_VERSION_PATCH=${KIT_VERSION_PATCH}
)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ggdb -Werror -fno-omit-frame-pointer -Wno-deprecated-declarations")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -ggdb -O2 -fno-omit-frame-pointer -DNDEBUG")
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2 -DNDEBUG")
set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -Os -DNDEBUG")

option(BUILD_EXAMPLES "Build examples" OFF)
option(USE_DYNAMIC_LIBASS "Use dynamically loaded libass" OFF)
option(USE_ASAN "Use AddressSanitizer" OFF)

find_package(SDL2 REQUIRED)
find_package(ffmpeg COMPONENTS avcodec avformat avutil swscale swresample)

set(LIBRARIES
    ${SDL2_LIBRARIES}
    ${FFMPEG_LIBRARIES}
)
set(INCLUDES
    include/
    ${SDL2_INCLUDE_DIRS}
    ${FFMPEG_INCLUDE_DIRS}
)

if(USE_DYNAMIC_LIBASS)
    if(WIN32 OR MINGW OR MSYS)
        set(DYNAMIC_LIBASS_NAME "\"libass-9.dll\"")
    else()
        set(DYNAMIC_LIBASS_NAME "\"libass.so\"")
    endif()
    add_definitions(-DUSE_DYNAMIC_LIBASS)
    add_definitions(-DDYNAMIC_LIBASS_NAME=${DYNAMIC_LIBASS_NAME})
else()
    find_package(ass)
    set(LIBRARIES ${LIBRARIES} ${ASS_LIBRARIES})
    set(INCLUDES ${INCLUDES} ${ASS_INCLUDE_DIRS})
endif()

FILE(GLOB_RECURSE SOURCES "src/*.c")
FILE(GLOB INSTALL_HEADERS "include/kitchensink/*.h")

add_library(SDL_kitchensink SHARED ${SOURCES})
add_library(SDL_kitchensink_static STATIC ${SOURCES})

set_target_properties(SDL_kitchensink PROPERTIES VERSION ${KIT_VERSION})
set_target_properties(SDL_kitchensink PROPERTIES SOVERSION ${KIT_VERSION_MAJOR})

set_target_properties(SDL_kitchensink PROPERTIES DEBUG_POSTFIX "d")
set_target_properties(SDL_kitchensink_static PROPERTIES DEBUG_POSTFIX "d")

target_compile_definitions(SDL_kitchensink PRIVATE "KIT_DLL;KIT_DLL_EXPORTS")
target_compile_options(SDL_kitchensink PRIVATE "-fvisibility=hidden")

set_property(TARGET SDL_kitchensink PROPERTY C_STANDARD 99)
set_property(TARGET SDL_kitchensink_static PROPERTY C_STANDARD 99)

if(USE_ASAN)
    set(LIBRARIES asan ${LIBRARIES})
    target_compile_options(SDL_kitchensink PRIVATE "-fsanitize=address")
    message(STATUS "DEVELOPMENT: AddressSanitizer enabled!")
endif()

include_directories(${INCLUDES})
target_link_libraries(SDL_kitchensink ${LIBRARIES})

set(PKG_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/SDL_kitchensink.pc")

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/pkg-config.pc.in"
    ${PKG_CONFIG_FILE}
    @ONLY
)

if(BUILD_EXAMPLES)
    add_executable(audio examples/example_audio.c)
    add_executable(complex examples/example_complex.c)
    add_executable(simple examples/example_simple.c)
    add_executable(custom examples/example_custom.c)
    add_executable(rwops examples/example_rwops.c)

    if(MINGW)
        target_link_libraries(audio mingw32)
        target_link_libraries(complex mingw32)
        target_link_libraries(simple mingw32)
        target_link_libraries(custom mingw32)
        target_link_libraries(rwops mingw32)
    endif()

    set_property(TARGET audio PROPERTY C_STANDARD 99)
    set_property(TARGET complex PROPERTY C_STANDARD 99)
    set_property(TARGET simple PROPERTY C_STANDARD 99)
    set_property(TARGET custom PROPERTY C_STANDARD 99)
    set_property(TARGET rwops PROPERTY C_STANDARD 99)

    target_link_libraries(audio SDL_kitchensink_static ${LIBRARIES})
    target_link_libraries(complex SDL_kitchensink_static ${LIBRARIES})
    target_link_libraries(simple SDL_kitchensink_static ${LIBRARIES})
    target_link_libraries(custom SDL_kitchensink_static ${LIBRARIES})
    target_link_libraries(rwops SDL_kitchensink_static ${LIBRARIES})
endif()

# documentation target
add_custom_target(docs COMMAND doxygen WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})

# Installation
install(FILES ${PKG_CONFIG_FILE} DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${INSTALL_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/kitchensink)
INSTALL(TARGETS SDL_kitchensink SDL_kitchensink_static
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== debian/changelog ===
sdl-kitchensink (1.0.5-1) unstable; urgency=medium

  * New 1.0.5 upstream release
    - Configure to use dynamically loaded libass

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Sep 2018 10:58:55 +0200

sdl-kitchensink (1.0.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Sep 2018 10:06:08 +0200

sdl-kitchensink (1.0.4-1) experimental; urgency=medium

  * New 1.0.4 upstream release
    - Add Kit_CreateSourceFromRW symbol
  * Bump S-V to 4.2.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Sep 2018 11:48:01 +0200

sdl-kitchensink (1.0.2-1) experimental; urgency=low

  * New 1.0.2 upstream release
  * Bump S-V to 4.1.4 without changes needed
  * Bump libsdl-kitchensink SOVERSION from 0 to 1, refresh symbols
  * Add libsdl2-dev Depends to libsdl-kitchensink-dev

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jul 2018 08:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink
 
-Package: libsdl-kitchensink0
+Package: libsdl-kitchensink1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -41,7 +41,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsdl-kitchensink0 (= ${binary:Version}),
+Depends: libsdl-kitchensink1 (= ${binary:Version}),
+         libsdl2-dev,
          ${misc:Depends}
 Description: FFmpeg and SDL2 based library for audio and video playback - Development files
  It provides FFmpeg-based audio and video playback for SDL which features:

## sdl-kitchensink 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "5")
+set(KIT_VERSION_PATCH "6")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}

=== debian/changelog ===
sdl-kitchensink (1.0.6-1) unstable; urgency=medium

  * New 1.0.6 upstream release
  * Bump debhelper compat to 11 without changes needed
  * Install examples to libsdl-kitchensink-dev

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Oct 2018 15:20:25 +0200

## sdl-kitchensink 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "6")
+set(KIT_VERSION_PATCH "7")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
@@ -14,7 +14,7 @@
 )
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ggdb -Werror -fno-omit-frame-pointer -Wno-deprecated-declarations")
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ggdb -Werror -fno-omit-frame-pointer")
 set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -ggdb -O2 -fno-omit-frame-pointer -DNDEBUG")
 set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2 -DNDEBUG")
 set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -Os -DNDEBUG")

=== debian/changelog ===
sdl-kitchensink (1.0.7-1) unstable; urgency=medium

  * New 1.0.7 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Nov 2018 13:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Didier Raboud <odyx@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10.2.5~),
+Build-Depends: debhelper (>= 11~),
                cmake,
                libsdl2-dev,
                libavcodec-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH} \
	    -DUSE_DYNAMIC_LIBASS:BOOL=True

## sdl-kitchensink 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "7")
+set(KIT_VERSION_PATCH "8")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
@@ -22,6 +22,28 @@
 option(BUILD_EXAMPLES "Build examples" OFF)
 option(USE_DYNAMIC_LIBASS "Use dynamically loaded libass" OFF)
 option(USE_ASAN "Use AddressSanitizer" OFF)
+option(BUILD_SHARED "Build shared library" ON)
+option(BUILD_STATIC "Build static library" ON)
+
+if(NOT BUILD_SHARED AND NOT BUILD_STATIC)
+    message(FATAL_ERROR "Nothing to build, set BUILD_SHARED and/or BUILD_STATIC.")
+endif()
+
+if(BUILD_SHARED)
+    message(STATUS "Building shared libraries")
+else()
+    message(STATUS "NOT building shared libraries")
+endif()
+
+if(BUILD_STATIC)
+    message(STATUS "Building static libraries")
+else()
+    message(STATUS "NOT building static libraries")
+endif()
+
+if(USE_ASAN)
+    message(STATUS "DEVELOPMENT: AddressSanitizer enabled!")
+endif()
 
 find_package(SDL2 REQUIRED)
 find_package(ffmpeg COMPONENTS avcodec avformat avutil swscale swresample)
@@ -53,32 +75,46 @@
 FILE(GLOB_RECURSE SOURCES "src/*.c")
 FILE(GLOB INSTALL_HEADERS "include/kitchensink/*.h")
 
-add_library(SDL_kitchensink SHARED ${SOURCES})
-add_library(SDL_kitchensink_static STATIC ${SOURCES})
+include_directories(${INCLUDES})
 
-set_target_properties(SDL_kitchensink PROPERTIES VERSION ${KIT_VERSION})
-set_target_properties(SDL_kitchensink PROPERTIES SOVERSION ${KIT_VERSION_MAJOR})
+set(INSTALL_TARGETS "")
 
-set_target_properties(SDL_kitchensink PROPERTIES DEBUG_POSTFIX "d")
-set_target_properties(SDL_kitchensink_static PROPERTIES DEBUG_POSTFIX "d")
+if(BUILD_SHARED)
+    add_library(SDL_kitchensink SHARED ${SOURCES})
 
-target_compile_definitions(SDL_kitchensink PRIVATE "KIT_DLL;KIT_DLL_EXPORTS")
-target_compile_options(SDL_kitchensink PRIVATE "-fvisibility=hidden")
+    if(USE_ASAN)
+        target_compile_options(SDL_kitchensink PRIVATE "-fsanitize=address")
+        target_link_libraries(SDL_kitchensink asan)
+    endif()
 
-set_property(TARGET SDL_kitchensink PROPERTY C_STANDARD 99)
-set_property(TARGET SDL_kitchensink_static PROPERTY C_STANDARD 99)
+    target_link_libraries(SDL_kitchensink ${LIBRARIES})
 
-if(USE_ASAN)
-    set(LIBRARIES asan ${LIBRARIES})
-    target_compile_options(SDL_kitchensink PRIVATE "-fsanitize=address")
-    message(STATUS "DEVELOPMENT: AddressSanitizer enabled!")
+    set_target_properties(SDL_kitchensink PROPERTIES VERSION ${KIT_VERSION})
+    set_target_properties(SDL_kitchensink PROPERTIES SOVERSION ${KIT_VERSION_MAJOR})
+    set_target_properties(SDL_kitchensink PROPERTIES DEBUG_POSTFIX "d")
+
+    target_compile_definitions(SDL_kitchensink PRIVATE "KIT_DLL;KIT_DLL_EXPORTS")
+    target_compile_options(SDL_kitchensink PRIVATE "-fvisibility=hidden")
+
+    set_property(TARGET SDL_kitchensink PROPERTY C_STANDARD 99)
+
+    set(INSTALL_TARGETS SDL_kitchensink ${INSTALL_TARGETS})
 endif()
 
-include_directories(${INCLUDES})
-target_link_libraries(SDL_kitchensink ${LIBRARIES})
+if(BUILD_STATIC)
+    add_library(SDL_kitchensink_static STATIC ${SOURCES})
+
+    if(USE_ASAN)
+        target_compile_options(SDL_kitchensink_static PRIVATE "-fsanitize=address")
+    endif()
+
+    set_target_properties(SDL_kitchensink_static PROPERTIES DEBUG_POSTFIX "d")
+    set_property(TARGET SDL_kitchensink_static PROPERTY C_STANDARD 99)
+
+    set(INSTALL_TARGETS SDL_kitchensink_static ${INSTALL_TARGETS})
+endif()
 
 set(PKG_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/SDL_kitchensink.pc")
-
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/pkg-config.pc.in"
     ${PKG_CONFIG_FILE}
@@ -106,20 +142,39 @@
     set_property(TARGET custom PROPERTY C_STANDARD 99)
     set_property(TARGET rwops PROPERTY C_STANDARD 99)
 
-    target_link_libraries(audio SDL_kitchensink_static ${LIBRARIES})
-    target_link_libraries(complex SDL_kitchensink_static ${LIBRARIES})
-    target_link_libraries(simple SDL_kitchensink_static ${LIBRARIES})
-    target_link_libraries(custom SDL_kitchensink_static ${LIBRARIES})
-    target_link_libraries(rwops SDL_kitchensink_static ${LIBRARIES})
+    # If we are building static, just link all libraries (ffmpeg, sdl, etc.)
+    # If building shared, link shared kitchensink + SDL2 (ffmpeg gets pulled by kitchensink)
+    if(BUILD_STATIC)
+        set(EXAMPLE_LIBRARIES SDL_kitchensink_static ${LIBRARIES})
+    else()
+        set(EXAMPLE_LIBRARIES SDL_kitchensink ${SDL2_LIBRARIES})
+    endif()
+    if(USE_ASAN)
+        set(EXAMPLE_LIBRARIES asan ${EXAMPLE_LIBRARIES})
+    endif()
+
+    target_link_libraries(audio ${EXAMPLE_LIBRARIES})
+    target_link_libraries(complex ${EXAMPLE_LIBRARIES})
+    target_link_libraries(simple ${EXAMPLE_LIBRARIES})
+    target_link_libraries(custom ${EXAMPLE_LIBRARIES})
+    target_link_libraries(rwops ${EXAMPLE_LIBRARIES})
+
+    if(USE_ASAN)
+        target_compile_options(audio PRIVATE "-fsanitize=address")
+        target_compile_options(complex PRIVATE "-fsanitize=address")
+        target_compile_options(simple PRIVATE "-fsanitize=address")
+        target_compile_options(custom PRIVATE "-fsanitize=address")
+        target_compile_options(rwops PRIVATE "-fsanitize=address")
+    endif()
 endif()
 
 # documentation target
 add_custom_target(docs COMMAND doxygen WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
 
 # Installation
-install(FILES ${PKG_CONFIG_FILE} DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
-install(FILES ${INSTALL_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/kitchensink)
-INSTALL(TARGETS SDL_kitchensink SDL_kitchensink_static
+INSTALL(FILES ${PKG_CONFIG_FILE} DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+INSTALL(FILES ${INSTALL_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/kitchensink)
+INSTALL(TARGETS ${INSTALL_TARGETS}
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}

=== debian/changelog ===
sdl-kitchensink (1.0.8-2) unstable; urgency=medium

  * Pass -fcommon in CFLAGS to circumvent gcc-10 FTBFS (Closes: #957784)

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 14:50:23 +0200

sdl-kitchensink (1.0.8-1) unstable; urgency=medium

  * New 1.0.8 upstream release

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12
  * Set various upstream metadata fields
  * Rely on pre-initialized dpkg-architecture variables

  [ Didier Raboud ]
  * Bump S-V to 4.5.0 without changes needed
  * Bump debhelper compat to 13
  * Install pkgconfig file in -dev

 -- Didier Raboud <odyx@debian.org>  Tue, 05 May 2020 19:19:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+
+# Circumvent GCC-10 FTBFS
+### A common mistake in C is omitting extern when declaring a global variable in
+### a header file. If the header is included by several files it results in
+### multiple definitions of the same variable. In previous GCC versions this
+### error is ignored. GCC 10 defaults to -fno-common, which means a linker error
+### will now be reported.
+export DEB_CFLAGS_MAINT_APPEND = -fcommon
 
 %:
 	dh $@

## sdl-kitchensink 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "8")
+set(KIT_VERSION_PATCH "9")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}

=== debian/changelog ===
sdl-kitchensink (1.0.9-3build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:07:25 +0000

sdl-kitchensink (1.0.9-3) unstable; urgency=medium

  * Orphan package
  * Drop unused libavresample-dev B-D (Closes: #993421)
  * S-V: Upgrade to 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Sep 2021 14:09:02 +0200

sdl-kitchensink (1.0.9-2) unstable; urgency=medium

  * Drop unused ffmpeg avresample requirements (Closes: #971321)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Oct 2020 19:51:51 +0200

sdl-kitchensink (1.0.9-1) unstable; urgency=medium

  * New 1.0.9 release
    - drop upstream patch backport

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Jul 2020 08:21:20 +0200

sdl-kitchensink (1.0.8-3) unstable; urgency=medium

  * Drop -fcommon passing in CFLAGS; replace by upstream patch

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Jul 2020 08:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: sdl-kitchensink
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libsdl2-dev,
                libavcodec-dev,
                libavdevice-dev,
                libavfilter-dev,
                libavformat-dev,
-               libavresample-dev,
                libavutil-dev,
                libswresample-dev,
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink

## sdl-kitchensink 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "9")
+set(KIT_VERSION_PATCH "11")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
@@ -22,6 +22,7 @@
 option(BUILD_EXAMPLES "Build examples" OFF)
 option(USE_DYNAMIC_LIBASS "Use dynamically loaded libass" OFF)
 option(USE_ASAN "Use AddressSanitizer" OFF)
+option(USE_TIDY "Use clang-tidy" OFF)
 option(BUILD_SHARED "Build shared library" ON)
 option(BUILD_STATIC "Build static library" ON)
 
@@ -114,6 +115,17 @@
     set(INSTALL_TARGETS SDL_kitchensink_static ${INSTALL_TARGETS})
 endif()
 
+if(USE_TIDY)
+    if(BUILD_STATIC)
+        set_target_properties(SDL_kitchensink_static PROPERTIES C_CLANG_TIDY "clang-tidy")
+    else()
+        set_target_properties(SDL_kitchensink PROPERTIES C_CLANG_TIDY "clang-tidy")
+    endif()
+    message(STATUS "Development: clang-tidy enabled")
+else()
+    message(STATUS "Development: clang-tidy disabled")
+endif()
+
 set(PKG_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/SDL_kitchensink.pc")
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/pkg-config.pc.in"
@@ -122,25 +134,7 @@
 )
 
 if(BUILD_EXAMPLES)
-    add_executable(audio examples/example_audio.c)
-    add_executable(complex examples/example_complex.c)
-    add_executable(simple examples/example_simple.c)
-    add_executable(custom examples/example_custom.c)
-    add_executable(rwops examples/example_rwops.c)
-
-    if(MINGW)
-        target_link_libraries(audio mingw32)
-        target_link_libraries(complex mingw32)
-        target_link_libraries(simple mingw32)
-        target_link_libraries(custom mingw32)
-        target_link_libraries(rwops mingw32)
-    endif()
-
-    set_property(TARGET audio PROPERTY C_STANDARD 99)
-    set_property(TARGET complex PROPERTY C_STANDARD 99)
-    set_property(TARGET simple PROPERTY C_STANDARD 99)
-    set_property(TARGET custom PROPERTY C_STANDARD 99)
-    set_property(TARGET rwops PROPERTY C_STANDARD 99)
+    list(APPEND EXAMPLE_TARGETS audio complex simple custom rwops)
 
     # If we are building static, just link all libraries (ffmpeg, sdl, etc.)
     # If building shared, link shared kitchensink + SDL2 (ffmpeg gets pulled by kitchensink)
@@ -153,19 +147,22 @@
         set(EXAMPLE_LIBRARIES asan ${EXAMPLE_LIBRARIES})
     endif()
 
-    target_link_libraries(audio ${EXAMPLE_LIBRARIES})
-    target_link_libraries(complex ${EXAMPLE_LIBRARIES})
-    target_link_libraries(simple ${EXAMPLE_LIBRARIES})
-    target_link_libraries(custom ${EXAMPLE_LIBRARIES})
-    target_link_libraries(rwops ${EXAMPLE_LIBRARIES})
+    foreach(TARGET ${EXAMPLE_TARGETS})
+        add_executable(${TARGET} examples/example_${TARGET}.c)
+        set_property(TARGET ${TARGET} PROPERTY C_STANDARD 99)
+        target_link_libraries(${TARGET} ${EXAMPLE_LIBRARIES})
 
-    if(USE_ASAN)
-        target_compile_options(audio PRIVATE "-fsanitize=address")
-        target_compile_options(complex PRIVATE "-fsanitize=address")
-        target_compile_options(simple PRIVATE "-fsanitize=address")
-        target_compile_options(custom PRIVATE "-fsanitize=address")
-        target_compile_options(rwops PRIVATE "-fsanitize=address")
-    endif()
+        if(MINGW)
+            # If we are compiling with mingw, remember to link in mingw libs and set console mode
+            # This way stdout/stderr are handled correctly.
+            target_link_libraries(${TARGET} mingw32)
+            set_target_properties(${TARGET} PROPERTIES LINK_FLAGS "-mconsole")
+        endif()
+
+        if(USE_ASAN)
+            target_compile_options(${TARGET} PRIVATE "-fsanitize=address")
+        endif()
+    endforeach()
 endif()
 
 # documentation target

=== debian/changelog ===
sdl-kitchensink (1.0.11-1) unstable; urgency=medium

  * New 1.0.11 upstream release
  * Re-adopt package
  * Bump S-V and d/watch versions
  * Set Rules-Requires-Root to no
  * Add Build-Depends-Package: libsdl-kitchensink-dev to .symbols

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Sep 2023 18:14:01 +0200

## sdl-kitchensink 1.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "11")
+set(KIT_VERSION_PATCH "12")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}

=== debian/changelog ===
sdl-kitchensink (1.0.12-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:24:59 +0200

sdl-kitchensink (1.0.12-1) unstable; urgency=medium

  * New 1.0.12 upstream version
    - add 2 new 1.0.12 symbols

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Dec 2023 17:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sdl-kitchensink
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -15,10 +14,11 @@
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink
+Rules-Requires-Root: no
 
 Package: libsdl-kitchensink1
 Architecture: any

## sdl-kitchensink 1.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "12")
+set(KIT_VERSION_PATCH "13")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}

=== debian/changelog ===
sdl-kitchensink (1.0.13-1) unstable; urgency=medium

  * New 1.0.13 upstream version

  * Drop libpostproc-dev B-D (Closes: #1115033)
  * Patch a missing stddef include to get the NULL declaration

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Sep 2025 20:19:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                libavutil-dev,
                libswresample-dev,
                libswscale-dev,
-               libpostproc-dev,
                libass-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?alpha$/$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sdl-kitchensink-$1\.tar\.gz/ \
  https://github.com/katajakasa/SDL_kitchensink/tags .*/v?(\d\S+)\.tar\.gz
